#ifndef SDL_JOYSTICK_MOCK_H
#define SDL_JOYSTICK_MOCK_H

#include "../src/packages/test/IZ_test.h"

typedef struct _SDL_Joystick {} SDL_Joystick;

mock(SDL_JoystickOpen) SDL_Joystick* SDL_JoystickOpen(int device_index) {
	static SDL_Joystick joystick;
	mock_return(SDL_JoystickOpen) &joystick;
}

mock(SDL_NumJoysticks) int SDL_NumJoysticks(void) {
	mock_return(SDL_NumJoysticks) 1;
}

mock(SDL_JoystickInstanceID) int SDL_JoystickInstanceID(SDL_Joystick* joystick) {
	mock_return(SDL_JoystickInstanceID) 0;
}

mock(SDL_JoystickClose) void SDL_JoystickClose(SDL_Joystick* _joystick) {
	mock_return(SDL_JoystickClose);
}

#endif
